
ALTER TABLE `llx_expensereport_det` ADD `value_tva` DOUBLE(24,3) NOT NULL AFTER `subprice`;
ALTER TABLE `llx_expensereport_det` ADD `generated` INT NULL DEFAULT 0 AFTER `fk_ecm_files`;

update llx_expensereport_det SET value_tva=value_unit/(tva_tx+100)*tva_tx WHERE fk_c_type_fees != 33 AND fk_c_type_fees !=6;




DROP TABLE IF EXISTS hen_bareme_ica;

CREATE TABLE hen_bareme_ica (
  Annee varchar(4) NOT NULL,
  Puissance varchar(10) NOT NULL,
  Bareme INTEGER NOT NULL,
  cout_km decimal(20,3) NOT NULL,
  cout_forfait decimal (20,3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO hen_bareme_ica VALUES ('2020','3CV',0,0.456,0);
INSERT INTO hen_bareme_ica VALUES ('2020','3CV',5000,0.273,915);
INSERT INTO hen_bareme_ica VALUES ('2020','3CV',20000,0.318,0);
INSERT INTO hen_bareme_ica VALUES ('2020','4CV',0,0.523,0);
INSERT INTO hen_bareme_ica VALUES ('2020','4CV',5000,0.294,1147);
INSERT INTO hen_bareme_ica VALUES ('2020','4CV',20000,0.352,0);
INSERT INTO hen_bareme_ica VALUES ('2020','5CV',0,0.548,0);
INSERT INTO hen_bareme_ica VALUES ('2020','5CV',5000,0.308,1200);
INSERT INTO hen_bareme_ica VALUES ('2020','5CV',20000,0.368,0);
INSERT INTO hen_bareme_ica VALUES ('2021','3CV',0,0.456,0);
INSERT INTO hen_bareme_ica VALUES ('2021','3CV',5000,0.273,915);
INSERT INTO hen_bareme_ica VALUES ('2021','3CV',20000,0.318,0);
INSERT INTO hen_bareme_ica VALUES ('2021','4CV',0,0.523,0);
INSERT INTO hen_bareme_ica VALUES ('2021','4CV',5000,0.294,1147);
INSERT INTO hen_bareme_ica VALUES ('2021','4CV',20000,0.352,0);
INSERT INTO hen_bareme_ica VALUES ('2021','5CV',0,0.548,0);
INSERT INTO hen_bareme_ica VALUES ('2021','5CV',5000,0.308,1200);
INSERT INTO hen_bareme_ica VALUES ('2021','5CV',20000,0.368,0);